<?php 
/*#################################################################*\
|# Licence Number 0DT7-0122-0NW1-0210
|# -------------------------------------------------------------   #|
|# Copyright (c)2010 PHP Link Directory.                           #|
|# http://www.phplinkdirectory.com                                 #|
\*#################################################################*/
	
/**
# ################################################################################
# Project:   PHP Link Directory
#
# **********************************************************************
# Copyright (C) 2004-2009 NetCreated, Inc. (http://www.netcreated.com/)
#
# This software is for use only to those who have purchased a license.
# A license must be purchased for EACH installation of the software.
#
# By using the software you agree to the terms:
#
#    - You may not redistribute, sell or otherwise share this software
#      in whole or in part without the consent of the the ownership
#      of PHP Link Directory. Please contact david@david-duval.com
#      if you need more information.
#
#    - You agree to retain a link back to http://www.phplinkdirectory.com/
#      on all pages of your directory in you purchased the $25 version
#      of the software.
#
# License holders are entitled to upgrades to the 3.4 branch of the software
# as they are made available at http://www.phplinkdirectory.com/
#
# In some cases, license holders may be required to agree to changes
# in the software license before receiving updates to the software.
# **********************************************************************
#
# For questions, help, comments, discussion, etc., please join the
# PHP Link Directory Forum http://www.phplinkdirectory.com/forum/
#
# @link           http://www.phplinkdirectory.com/
# @copyright      2004-2009 NetCreated, Inc. (http://www.netcreated.com/)
# @projectManager David DuVal <david@david-duval.com>
# @package        PHPLinkDirectory
# @version        4.0.0
# ################################################################################
*/

require_once 'init.php';

$error = 0;
/* will be used at a later date.
if ($_REQUEST['action'] == "clean_cache" )
{ //Load just cache rebuilding and not complete page
$db->CacheFlush();
      $url      = DOC_ROOT."/dir_approve_links.php?r=1";
      $cust_msg = '<p class="notice">'._L('Cache Folder is being Emptied.').'</p>';

      $redirect = javascript_redirect($url, ADMIN_REDIRECT_TIMEOUT, '', $cust_msg);
      $tpl->assign('redirect', $redirect);
   }

*/
if (empty ($_REQUEST['submit']) && !empty ($_SERVER['HTTP_REFERER']))
   $_SESSION['return'] = $_SERVER['HTTP_REFERER'];

//Build category tree
if (AJAX_CAT_SELECTION_METHOD == 0)
{
   $tpl->assign('categs', get_categs_tree());
}

//Load and run multiple link actions
require_once 'link_multi_action.php';

//Determine paging options
$PagerGroupings = (PAGER_GROUPINGS && PAGER_GROUPINGS > 0 ? intval (PAGER_GROUPINGS) : 20);
$LinksPerPage   = (LINKS_PER_PAGE  && LINKS_PER_PAGE  > 0 ? intval (LINKS_PER_PAGE)  : 10);

$tpl->assign('stats'  , array (0       => _L('Inactive'), 1     => _L('Pending'), 2             => _L('Active'),));

$columns = array ('TITLE' => _L('Title')   , 'URL' => _L('URL')    , 'DESCRIPTION' => _L('Description'), 'CATEGORY' => _L('Category'), 'RECPR_URL' => _L('Recpr. Link URL'), 'PAGERANK' => _L('Pagerank'), 'DATE_ADDED' => _L('Date Added'),'OWNER_EMAIL_CONFIRMED'=>_L('Mail Confirmed'));
$tpl->assign('columns', $columns);

//Determine column sorting URLs
$columnURLs = GetColSortUrls($columns, $current_item);
$tpl->assign('columnURLs', $columnURLs);

$tpl->assign('col_count', count ($columns) + 4);

$where = '';

//Determine link ID
$linkID = (isset ($_REQUEST['linkid']) ? $_REQUEST['linkid'] : '');

//Build where clause for link ID
if (!empty ($linkID))
{
   $linkID = urldecode ($linkID);

   //Clean multiple spaces, commas, etc
   $pattern  = array ( '/\s/', '`[,]+`', '`^[,]*`', '`[,]+$`' );
   $replace  = array ( ''    , ','     , ''       , ''        );
   $linkID = preg_replace ($pattern, $replace, $linkID);

   $linkIDArray = explode (',', $linkID);
   $linkIDArray = array_unique ($linkIDArray);

   //If editor, remove links he/she is not allowed to view
   if (!$_SESSION['phpld']['adminpanel']['is_admin'])
   {
      //Loop through each category
      foreach ($linkIDArray as $key => $lid)
      {
         $cID = $db->GetOne("SELECT `CATEGORY_ID` FROM `{$tables['link']['name']}` WHERE `ID` = ".$db->qstr($lid));
         if (!in_array ($cID, $_SESSION['phpld']['adminpanel']['permission_array']))
         {
            //Current link category is not in editors permissions,
            //Remove from list
            unset ($linkIDArray[$key]);
         }
      }
   }

   if (!empty ($linkIDArray))
   {
      $where .= " AND {$tables['link']['name']}.ID IN ('".implode ("', '", $linkIDArray)."')";

      $_REQUEST['linkid'] = implode (',', $linkIDArray);

      $linkid = (!empty ($_REQUEST['linkid']) ? $_REQUEST['linkid'] : '');
      $tpl->assign('linkid', $linkid);
   }
}

//Determine category ID
//Keep backwards compatibility with urlvariable "c"
$category = (isset ($_REQUEST['category']) ? $_REQUEST['category'] : (isset ($_REQUEST['c']) ? $_REQUEST['c'] : ''));

//Build where clause for category ID
if (!empty ($category))
{
   $category = urldecode ($category);

   //Clean multiple spaces, commas, etc
   $pattern  = array ( '/\s/', '`[,]+`', '`^[,]*`', '`[,]+$`' );
   $replace  = array ( ''    , ','     , ''       , ''        );
   $category = preg_replace ($pattern, $replace, $category);

   $categsArray = explode (',', $category);
   $categsArray = array_unique ($categsArray);

   //If editor, remove links he/she is not allowed to view
   if (!$_SESSION['phpld']['adminpanel']['is_admin'])
   {
      //Loop through each category
      foreach ($categsArray as $key => $cID)
      {
         if (!in_array ($cID, $_SESSION['phpld']['adminpanel']['permission_array']))
         {
            //Current category is not in editors permissions,
            //Remove from list
            unset ($categsArray[$key]);
         }
      }
   }

   if (!empty ($categsArray))
   {
      $where .= " AND {$tables['link']['name']}.CATEGORY_ID IN ('".implode ("', '", $categsArray)."')";

      $_REQUEST['category'] = implode (',', $categsArray);

      $category = (!empty ($_REQUEST['category']) ? $_REQUEST['category'] : '');
      $tpl->assign('category', $category);
   }
}

if(SHOW_CONFIRMED_ONLY == 1 && EMAIL_CONFIRMATION==1)
$where .= " AND `OWNER_EMAIL_CONFIRMED` = '1'";
//Search by ID
$searchByID = (!empty ($_REQUEST['searchbyid']) && preg_match ('`^[\d]+$`', $_REQUEST['searchbyid']) ? intval ($_REQUEST['searchbyid']) : '');
$tpl->assign('searchbyid', $searchByID);
if (!empty ($searchByID))
{
   $where .= " AND {$tables['link']['name']}.ID LIKE ".$db->qstr('%'.$searchByID.'%');
   $_REQUEST['searchbyid'] = $searchByID;
}

//Initialize array for checkboxes
$checkboxes = array ();

//Determin link display order
$orderBy = "{$tables['link']['name']}.FEATURED DESC";
if (defined ('SORT_FIELD') && SORT_FIELD != '')
   $orderBy .= ", ". (SORT_FIELD == "CATEGORY" ? "{$tables['category']['name']}.TITLE" : "{$tables['link']['name']}.".SORT_FIELD)." ".SORT_ORDER;

$left_join_categ = " LEFT JOIN `{$tables['category']['name']}` ON ({$tables['link']['name']}.CATEGORY_ID = {$tables['category']['name']}.ID) ";

//Determine current index
$page         = ceil ($current_item / $LinksPerPage); // Determine page
$limit        = ' LIMIT '.($current_item <= 1 ? '0' : $current_item).', '.$LinksPerPage;

//Build search options
require_once '../search.php';
$search_preferences = array ();
$search_preferences['Select_Options']  = array ();
$search_preferences['Where_Options']   = array ();
$search_preferences['Order_Options']   = array ();
$search_preferences['Search_Location'] = array ( "{$tables['link']['name']}.URL" ,
                                                 "{$tables['link']['name']}.TITLE",
                                                 "{$tables['link']['name']}.DESCRIPTION"
                                                 );
//$search_preferences['BooleanSearchActive'] = 0;

//Get search queries
$LinksResults = search($search_preferences);
$search       = (!empty ($LinksResults['search']) ? $LinksResults['search'] : '');
$tpl->assign('search', $search);

//Get results
if ($_SESSION['phpld']['adminpanel']['is_admin'])
{
   //Count links
   $list_total = $db->GetOne("SELECT COUNT(*) FROM `{$tables['link']['name']}` WHERE {$tables['link']['name']}.STATUS = '1' ".(!empty ($LinksResults['Search_Query']) ? " AND ".$LinksResults['Search_Query'] : '')." {$where}");
   $tpl->assign('list_total', $list_total);

   //Build SQL for results query
   $sql = "SELECT {$tables['link']['name']}.*, ".$db->IfNull("{$tables['category']['name']}.TITLE", "'Top'")." AS `CATEGORY` ".(!empty ($LinksResults['Select_Relevancy']) ? ", ".$LinksResults['Select_Relevancy'] : '')." FROM `{$tables['link']['name']}` LEFT JOIN `{$tables['category']['name']}` ON ({$tables['link']['name']}.CATEGORY_ID = {$tables['category']['name']}.ID) WHERE {$tables['link']['name']}.STATUS = '1' ".(!empty ($LinksResults['Search_Query']) ? " AND ".$LinksResults['Search_Query'] : '').(!empty ($LinksResults['Relevancy_Tuning']) ? $LinksResults['Relevancy_Tuning'] : '')." {$where} ORDER BY ".(!empty ($LinksResults['Relevancy_Order']) ? $LinksResults['Relevancy_Order'].", " : '')." {$orderBy}";

   //Get results
   $rs = $db->SelectLimit($sql, $LinksPerPage, ($current_item <= 1 ? '0' : $current_item - 1));

   if ($rs === false)
      $list = array ();
   else
      $list = $rs->GetAssoc(true);

   //Populate checkboxes array
   foreach ($list as $key => $value)
      $checkboxes[$key] = $value['TITLE'];
}
else
{
   //Count links
   $list_total = $db->GetOne("SELECT COUNT(*) FROM `{$tables['link']['name']}` {$left_join_categ} WHERE {$tables['link']['name']}.STATUS = '1' ".(!empty ($LinksResults['Search_Query']) ? " AND ".$LinksResults['Search_Query'] : '')." {$where} AND (".preg_replace ('`(?:^|\s)ID(?:$|\s|=)`'," {$tables['link']['name']}.CATEGORY_ID ",$_SESSION['phpld']['adminpanel']['permission']).")");

   //Build SQL for results query
   $sql = "SELECT {$tables['link']['name']}.*, ".$db->IfNull("{$tables['category']['name']}.TITLE", "'Top'")." AS `CATEGORY` ".(!empty ($LinksResults['Select_Relevancy']) ? ", ".$LinksResults['Select_Relevancy'] : '')." FROM `{$tables['link']['name']}` {$left_join_categ} WHERE {$tables['link']['name']}.STATUS = '1' ".(!empty ($LinksResults['Search_Query']) ? " AND ".$LinksResults['Search_Query'] : '').(!empty ($LinksResults['Relevancy_Tuning']) ? $LinksResults['Relevancy_Tuning'] : '')." {$where} AND (".preg_replace ('`(?:^|\s)ID(?:$|\s|=)`'," {$tables['link']['name']}.CATEGORY_ID ",$_SESSION['phpld']['adminpanel']['permission']).") ORDER BY ".(!empty ($LinksResults['Relevancy_Order']) ? $LinksResults['Relevancy_Order'].", " : '')." {$orderBy}";

   //Get results
   $rs = $db->SelectLimit($sql, $LinksPerPage, ($current_item <= 1 ? '0' : $current_item - 1));

   if ($rs === false)
      $list = array ();
   else
      $list = $rs->GetAssoc(true);

   //Populate checkboxes array
   foreach ($list as $key => $value)
      $checkboxes[$key] = $value['TITLE'];
}

// Start Paging
SmartyPaginate :: connect(); // Connect Paging
SmartyPaginate :: setPageLimit($LinksPerPage); // Set default number of page groupings

// Build Paging
if ($page < 2)
{
   SmartyPaginate :: disconnect();
   SmartyPaginate :: reset     ();
}

$list_total     = (!empty ($list_total) && $list_total >= 0 ? intval ($list_total) : 0);

SmartyPaginate :: setPrevText    ('Previous'             );
SmartyPaginate :: setNextText    ('Next'                 );
SmartyPaginate :: setFirstText   ('First'                );
SmartyPaginate :: setLastText    ('Last'                 );
SmartyPaginate :: setTotal       ($list_total            );
SmartyPaginate :: setUrlVar      ('p'                    );
SmartyPaginate :: setUrl         ($_SERVER['REQUEST_URI']);
SmartyPaginate :: setCurrentItem ($current_item          );
SmartyPaginate :: setLimit       ($LinksPerPage          );
SmartyPaginate :: setPageLimit   ($PagerGroupings        );
SmartyPaginate :: assign         ($tpl                   );

unset ($list_total, $PagerGroupings, $LinksPerPage);

$min_keyword_length_comment = _L("Keywords shorter than #MIN_WORD_LENGTH# characters are ignored because of MySQL server settings.");
$min_keyword_length = (!empty ($LinksResults['Min_Word_Length']) ? $LinksResults['Min_Word_Length'] : '4');
$min_keyword_length_comment = str_replace ('#MIN_WORD_LENGTH#', $min_keyword_length, $min_keyword_length_comment);
$tpl->assign('min_keyword_length_comment', $min_keyword_length_comment);

$tpl->assign($_POST);
$tpl->assign('error', $error);
$tpl->assign('list', $list);
$tpl->assign('checkboxes', $checkboxes);

$content = $tpl->fetch(ADMIN_TEMPLATE.'/dir_approve_links.tpl');
$tpl->assign('content', $content);

//Clean whitespace
$tpl->load_filter('output', 'trimwhitespace');

//Compress output for faster loading
if (COMPRESS_OUTPUT == 1)
   $tpl->load_filter('output', 'CompressOutput');

//Make output
echo $tpl->fetch(ADMIN_TEMPLATE.'/main.tpl');
?>