<?php 
/*#################################################################*\
|# Licence Number 0DT7-0122-0NW1-0210
|# -------------------------------------------------------------   #|
|# Copyright (c)2010 PHP Link Directory.                           #|
|# http://www.phplinkdirectory.com                                 #|
\*#################################################################*/
	
/**
# ################################################################################
# Project:   PHP Link Directory
#
# **********************************************************************
# Copyright (C) 2004-2009 NetCreated, Inc. (http://www.netcreated.com/)
#
# This software is for use only to those who have purchased a license.
# A license must be purchased for EACH installation of the software.
#
# By using the software you agree to the terms:
#
#    - You may not redistribute, sell or otherwise share this software
#      in whole or in part without the consent of the the ownership
#      of PHP Link Directory. Please contact david@david-duval.com
#      if you need more information.
#
#    - You agree to retain a link back to http://www.phplinkdirectory.com/
#      on all pages of your directory in you purchased the $25 version
#      of the software.
#
# License holders are entitled to upgrades to the 3.4 branch of the software
# as they are made available at http://www.phplinkdirectory.com/
#
# In some cases, license holders may be required to agree to changes
# in the software license before receiving updates to the software.
# **********************************************************************
#
# For questions, help, comments, discussion, etc., please join the
# PHP Link Directory Forum http://www.phplinkdirectory.com/forum/
#
# @link           http://www.phplinkdirectory.com/
# @copyright      2004-2009 NetCreated, Inc. (http://www.netcreated.com/)
# @projectManager David DuVal <david@david-duval.com>
# @package        PHPLinkDirectory
# @version        4.0.0
# ################################################################################
*/

$email_tpl_types = array ( '1' => _L('Emailer'), '2' => _L('Link Owner Notif.'), '3' => _L('Email and Add Link'), '4' => _L('Invoices'), '5' => _L('User profile details'), '6' => _L('Password recover'), '7' => _L('Article Owner Notif.'));

$payment_um      = array ( '1' => _L('Month'),'2' => _L('Trimester'), '3' => _L('Semester'), '4' => _L('Year'), '5' => _L('Unlimited'));

$HtmlCurrencyCode = array (
                        'USD' => "&#036;",
                        'EUR' => "&#8364;",
                        'GBP' => "&#163;",
                        'CAD' => "&#036;",
                        'AUD' => "&#036;",
                        'JPY' => "&#165;"
                     );

$CurrencyTemp = (defined ('PAY_CURRENCY_CODE') && strlen (PAY_CURRENCY_CODE) > 0 ? PAY_CURRENCY_CODE : 'USD');
define ('HTML_CURRENCY_CODE', $HtmlCurrencyCode[$CurrencyTemp]);

$link_type_int   = array ( 'none' => 0, 'free' => 1, 'normal' => 2, 'reciprocal' => 3, 'featured' => 4);
$link_type_str   = array ( 0 => _L('None'), 1 => _L('Free'), 2 => _L('Normal'), 3 => _L('Reciprocal'), 4 => _L('Featured'));

$notif_msg       = array (
	'submit' => array (
		'SUBJECT' => 'New link submitted at {MY_SITE_URL}',
		"BODY" => "Title: {LINK_TITLE}\n" .
				  "URL: {LINK_URL}\n" .
				  "PageRank: {LINK_PAGERANK}\n" .
				  "Description:\n {LINK_DESCRIPTION}\n" .
				  "Owner Name: {LINK_OWNER_NAME}\n" .
				  "Owner Email: {LINK_OWNER_EMAIL}\n" .
				  "Reciprocal URL: {LINK_RECPR_URL}\n" .
				  "Reciprocal PageRank: {LINK_RECPR_PAGERANK}\n"
	),
'submitarticle' => array (
		'SUBJECT' => 'New article submitted at {MY_SITE_URL}',
		"BODY" => "Title: {ARTICLE_TITLE}\n" .
				  "Description:\n {ARTICLE_DESCRIPTION}\n" .
				  "Owner Name: {ARTICLE_OWNER_NAME}\n" .
				  "Owner Email: {ARTICLE_OWNER_EMAIL}\n"
	),
	'payment' => array (
		'SUBJECT' => 'New {PAYMENT_SUCCESS} payment at {MY_SITE_URL}',
		"BODY" => "Link Title: {LINK_TITLE}\n" .
				  "Link URL: {LINK_URL}\n" .
				  "Payer Name: {PAYMENT_NAME}\n" .
				  "Payer Email: {PAYMENT_EMAIL}\n" .
				  "Unit price: {PAYMENT_AMOUNT}\n" .
				  "Quantity: {PAYMENT_QUANTITY}\n" .
				  "Amount to be paid: {PAYMENT_TOTAL}\n" .
				  "Amount paid: {PAYMENT_PAYED_TOTAL}\n"
	),
	'payment_article' => array (
		'SUBJECT' => 'New {PAYMENT_SUCCESS} payment at {MY_SITE_URL}',
		"BODY" => "Article Title: {LINK_TITLE}\n" .
				  "Payer Name: {PAYMENT_NAME}\n" .
				  "Payer Email: {PAYMENT_EMAIL}\n" .
				  "Unit price: {PAYMENT_AMOUNT}\n" .
				  "Quantity: {PAYMENT_QUANTITY}\n" .
				  "Amount to be paid: {PAYMENT_TOTAL}\n" .
				  "Amount paid: {PAYMENT_PAYED_TOTAL}\n"
	),
);
?>