{* Build link action submit buttons *}
{strip}
<table class="list">
   <thead>
      <tr>
         <th class="listHeader" colspan="2">{l}Manage multiple selections{/l}</th>
      </tr>
   </thead>
   <tbody>
      <tr>
         <td>
            <fieldset class="link_action">
               <legend>{l}Select{/l}</legend>
               {formtool_checkall name="multiselect_checkbox[]" checkall_text="{l}Check All{/l}" uncheckall_text="{l}Uncheck All{/l}" class="btn" id="checkallButton"}
            </fieldset>
			{if $rights.editArt eq 1}
            <fieldset class="link_action">
               <legend>{l}Change Status{/l}</legend>
               <input type="button" name="active" id="activeButton" value="{l}Active{/l}" title="{l}Set selected articles as active{/l}" class="button" onclick="selected_links_active_confirm('{l}Are you sure you want to change status of selected articles to active?{/l}');" />

               <input type="button" name="pending" id="pendingButton" value="{l}Pending{/l}" title="{l}Set selected articles as pending{/l}" class="button" onclick="selected_links_pending_confirm('{l}Are you sure you want to change status of selected articles to pending?{/l}');" />

               <input type="button" name="inactive" id="inactiveButton" value="{l}Inactive{/l}" title="{l}Set selected articles as inactive{/l}" class="button" onclick="selected_links_inactive_confirm('{l}Are you sure you want to change status of selected articles to inactive?{/l}');" />
            </fieldset>
			{/if}
			{if $rights.delArt eq 1}
            <fieldset class="link_action">
               <legend>{l}Action{/l}</legend>
               <input type="button" name="remove" id="removeButton" value="{l}Remove{/l}" title="{l}Remove selected articles!{/l} {l}Note: articles can not be restored after removal!{/l}" class="button" onclick="selected_links_remove_confirm('{l}Are you sure you want to remove selected articles?{/l}\n{l}Note: articles can not be restored after removal!{/l}');" />
            </fieldset>
			{/if}
			{if $rights.editArt eq 1}
            <fieldset class="link_action">
               <legend>{l}Category{/l}</legend>
               {include file=$smarty.const.ADMIN_TEMPLATE|cat:"/admin_category_select.tpl"}
               <input type="button" name="changecategory" id="changeLinkCategoryButton" value="{l}Change category{/l}" title="{l}Change category{/l}" class="button" onclick="selected_change_categ_confirm('{l}Are you sure you want to change category?{/l}');" />
            </fieldset>
			{/if}
         </td>
      </tr>
      <tr>
         <td>
            <div id="multiselect_action_msg">
               {l}Select articles and choose an action to perform.{/l}
               <br />
               <span id="multiselect_action_count">&nbsp;</span> {l}item(s) selected{/l}.
            </div>
         </td>
      </tr>
   </tbody>
</table>
{/strip}