{*********************************************************
* Copyright (c) 2009 PHPLDTemplates.com
* Theme Author: http://www.PHPLDTemplates.com
* Theme URL: http://www.phpldtemplates.com/2009/07/free-phpld-template-dbs-3/
* 
* Report bug: Please email contact @ PHPLDTemplates.com
* License: Free, provided user keeps the footer links intake. Not to be resold.
* More free phpld templates are available at http://www.PHPLDTemplates.com
* 
**********************************************************}

{capture name="title"} - {l}User Login{/l}{/capture}
{capture assign="in_page_title"}{l}User Login{/l}{/capture}
{capture assign="description"}{l}Login to your account and add new or review your old links.{/l}{/capture}

{include file="header.tpl"}
{include file="top_bar.tpl"}

{strip}
<form method="post" action="">
      <table class="formPage" align="center">
      <tr>
         <td colspan="2">
            <h3>{l}Please enter your username and password to log in.{/l}</h3>
         </td>
      </tr>
      <tr>
         {if $failed}
            <td colspan="2" class="err">{l}Invalid username or password.{/l}</td>
         {/if}
         {if $no_permission}
            <td colspan="2" class="err">{l}No permissions set for this user.{/l}</td>
         {/if}
      </tr>
      <tr>
         <td class="label">{l}User{/l}</td>
         <td class="field">
            <input type="text" name="user" value="{$user}" size="10" maxlength="{$smarty.const.USER_LOGIN_MAX_LENGTH}" class="text" />
            {validate form="login" id="v_user" message=$smarty.capture.field_required}
         </td>
      </tr>
      <tr>
         <td class="label">{l}Password{/l}</td>
         <td class="field">
            <input type="password" name="pass" value="" size="10" maxlength="{$smarty.const.USER_PASSWORD_MAX_LENGTH}" class="text" />
            {validate form="login" id="v_pass" message=$smarty.capture.field_required}
         </td>
      </tr>
      <tr>
         <td colspan="2">
            <a href="{$smarty.const.DOC_ROOT}/profile.php?mode=sendpassword" title="{l}Recover your password{/l}">{l}I forgot my password{/l}</a>
         </td>
      </tr>
      <tr>
         <td>&nbsp;</td>
         <td><input type="submit" name="submit" value="Login" class="btn" /></td>
      </tr>
      </table>
</form>

{include file="footer.tpl"}
{/strip}

