{* Error and confirmation messages *}
{include file="messages.tpl"}
<!--
#########################################################################################################
# Project:				PHPLinkDirectory: Link exchange directory @ http://www.phplinkdirectory.com/	#
# Mod:					[Article Importer] @ http://www.monster-submit.com/phpld/						#
# Version:				1.00200906251																	#
# Notice:				Maintain this section															#
# Author:				Virtual Solutions																#
# Idea by and																							#
# contributed to by:	Matt @ http://www.thecanad1an.com												#
# License:				Copyright (c) 2008 - 2009 Virtual Solutions										#
#																										#
# Any redistribution of phpLD_Vault mods without the expressed written consent of Virtual Solutions is	#
# strictly prohibited. Copying any of the code contained within any phpLD_Vault mod and claiming it as	#
# your own is also prohibited. You may not remove any header notices from any mods. By using these		#
# phpLD_Vault mods, you agree to indemnify Virtual Solutions from any liability that might arise from	#
# their use.																							#
#																										#
# PHPLD_VAULT MODS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING	#
# BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND			#
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES	#
# OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN	#
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.							#
#########################################################################################################
/-->

{strip}

<br/>
<form action="{$smarty.const.DOC_ROOT}/artimporter.php" method="post" target="result">
<table border="0" cellpadding="4" cellspacing="1" width="100%">
	<tr>
		<td class="label"><label for="provider">{l}Article Provider{/l}:</label></td>
		<td class="smallDesc">
		{html_options options=$plugins name="provider" id="provider"}
		</td>
	</tr>
	<tr>
		<td class="label"><label for="url">{l}Article URL{/l}:</label></td>
		<td class="smallDesc">
		<input type="text" name="url" size="50"/ value="">
		{foreach from=$examples item=example name=examples}
			<p class="msg notice info">{l}Example :: {$example}{/l}</p>
		{/foreach}
		</td>
	</tr>
	<tr>
		<td class="label"><label for="format">{l}Article Format{/l}:</label></td>
		<td class="smallDesc">
		<select name="format" size="1">
			<option value="html">HTML</option>
			<option value="text">Text</option>
		</select>
		</td>
	</tr>
	{if $version > "3.2.0"}
		{if $smarty.const.REQUIRE_REGISTERED_USER_ARTICLE}
			<tr>
				<td class="label"><label for="OWNER_ID">{l}Assign Owner{/l}:</label></td>
				<td class="smallDesc">
				{html_options options=$ActiveUsersList selected=$OWNER_ID name="OWNER_ID" id="OWNER_ID"}
				</td>
			</tr>
		{/if}
	{/if}
	<tr>
		<td class="label required"><label for="CATEGORY_ID">{l}Category{/l}:</label></td>
		<td class="smallDesc">
		{* Load category selection *}
		{include file=$smarty.const.ADMIN_TEMPLATE|cat:"/admin_category_select.tpl"}
		</td>
	</tr>
	{if $version > "3.2.0"}
		<tr>
			<td class="label required"><label for="ARTICLE_TYPE">{l}Article Type{/l}:</label></td>
			<td class="smallDesc">
			{html_options options=$types selected=$ARTICLE_TYPE name="ARTICLE_TYPE" id="ARTICLE_TYPE"}
			</td>
		</tr>
	{/if}
	<tr>
		<td class="label required"><label for="STATUS">{l}Status{/l}:</label></td>
		<td class="smallDesc">
		{html_options options=$stats selected="1" name="STATUS" id="STATUS"}
		</td>
	</tr>
	<tr>
		<td class="label required"><label for="MAXLINKS">{l}Max Articles To Import{/l}:</label></td>
		<td class="smallDesc">
		<input type="text" name="maxlinks" size="5" value="5">
		</td>
	</tr>
	<tr>
		<td class="label required"><label for="NOFOLLOW">{l}NoFollow Links{/l}:</label></td>
		<td class="smallDesc">
		<input type="checkbox" name="link_attribute" value="1" checked><br/>
		Add NoFollow Attribute to External Links in Articles
		</td>
	</tr>
	<tr>
		<td class="label" align="center" colspan="2"><br/>
		<iframe name="result" width="90%"></iframe>
		</td>
	</tr>
	<tr>
		<td class="label" align="center" colspan="2"><br/>
		<input class="button" type="submit" name="submit" value="import"/>
		</td>
	</tr>
	<tr>
		<td align="center" bgcolor="#EAEAEA" colspan="2"><br/>
		Powered by <a href="http://www.monster-submit.com/phpld/" target="new">[Article Importer]</a> Mod v1.00200906251</a> &copy; Copyright 2008 - 2009 Virtual Solutions. All Rights Reserved.
		<br/><br/></td>
	</tr>
</table>
</form>

{/strip}
